#### D.2.8.19 newtonDiag

Procedure from library `polylib.lib` (see polylib_lib).

Usage:
  newtonDiag(f); f a poly

Return:
  intmat

Purpose:
  compute the Newton diagram of f

Note:
  each row is the exponent of a monomial of f

Example:

    LIB "polylib.lib";
    ring r = 0,(x,y,z),lp;
    poly f = x2y+3xz-5y+3;
    newtonDiag(f);
    ==> 2,1,0,
    ==> 1,0,1,
    ==> 0,1,0,
    ==> 0,0,0

User manual for Singular version 4.4.1, 2025, generated by texi2html.